<div class="todo-container">
  <h1>TODO List</h1>

  <button
    mat-stroked-button
    color="primary"
    (click)="refresh()"
    style="text-align: left"
  >
    Refresh
  </button>

  <div class="items-container">
    <div></div>
    <mat-selection-list
      #todo
      class=""
      (selectionChange)="onSelectionChange(todo.selectedOptions)"
    >
      <mat-list-option
        *ngFor="let todo of todos"
        class="todo-item"
        [value]="todo.id"
      >
        {{ todo.title }}
      </mat-list-option>
    </mat-selection-list>

    <div></div>
  </div>
  <button
    mat-fab
    color="warn"
    aria-label="Example icon button with a delete icon"
    class="delete-todo-btn"
    (click)="onDelete()"
  >
    <mat-icon fontIcon="delete">delete</mat-icon>
  </button>
  <button
    mat-fab
    color="primary"
    aria-label="Example icon button with a delete icon"
    class="add-todo-btn"
    (click)="openDialog()"
  >
    <mat-icon fontIcon="add">add</mat-icon>
  </button>
</div>
